## alliance 5.1.1

=== documentation/alliance-examples/Makefile ===
dirs := $(dir $(shell echo */Makefile))

all:
	$(foreach dir, $(dirs), (cd $(dir) && make);)

clean:
	$(foreach dir, $(dirs), (cd $(dir) && make clean);)
