=== genpat/src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# genpat/src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





SOURCES = $(libPgn_la_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/alliance
pkglibdir = $(libdir)/alliance
pkgincludedir = $(includedir)/alliance
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
subdir = genpat/src
DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/./alliance.m4 \
	$(top_srcdir)/./motif.m4 $(top_srcdir)/./xpm.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libPgn_la_LIBADD =
am_libPgn_la_OBJECTS = AFFECT.lo ARRAY.lo CONV.lo DECLAR.lo DEF_GEN.lo \
	GETCPAT.lo INIT.lo LABEL.lo SAVE.lo SAV_GEN.lo SETTUNIT.lo \
	libpat_l.lo
libPgn_la_OBJECTS = $(am_libPgn_la_OBJECTS)
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/AFFECT.Plo ./$(DEPDIR)/ARRAY.Plo \
	./$(DEPDIR)/CONV.Plo ./$(DEPDIR)/DECLAR.Plo \
	./$(DEPDIR)/DEF_GEN.Plo ./$(DEPDIR)/GETCPAT.Plo \
	./$(DEPDIR)/INIT.Plo ./$(DEPDIR)/LABEL.Plo \
	./$(DEPDIR)/SAVE.Plo ./$(DEPDIR)/SAV_GEN.Plo \
	./$(DEPDIR)/SETTUNIT.Plo ./$(DEPDIR)/libpat_l.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libPgn_la_SOURCES)
DIST_SOURCES = $(libPgn_la_SOURCES)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ABE_DLL_VERSION = 2:1:0
ABL_DLL_VERSION = 1:3:0
ABT_DLL_VERSION = 2:1:0
ABV_DLL_VERSION = 2:1:0
ACLOCAL = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run aclocal-1.8
ALCBANNER_MAJOR_VERSION = 1
ALCBANNER_MINOR_VERSION = 1
ALCBANNER_VERSION = 1.1
ALLIANCE_BUILD_FALSE = #
ALLIANCE_BUILD_TRUE = 
ALLIANCE_CFLAGS = -I/users/outil/alliance/Linux.FC2/include
ALLIANCE_LIBS = -L/users/outil/alliance/Linux.FC2/lib
ALLIANCE_TOP = /users/outil/alliance/Linux.FC2
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run tar
AR = ar
ATTILA_MAJOR_VERSION = 0
ATTILA_MINOR_VERSION = 1
ATTILA_VERSION = 0.1
AUTOCONF = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run autoconf
AUTOHEADER = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run autoheader
AUTOMAKE = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run automake-1.8
AUT_DLL_VERSION = 1:3:0
AWK = gawk
B2F_MAJOR_VERSION = 1
B2F_MINOR_VERSION = 2
B2F_VERSION = 1.2
BDD_DLL_VERSION = 1:5:0
BEH_DLL_VERSION = 1:11:0
BHL_DLL_VERSION = 1:11:0
BOOG_MAJOR_VERSION = 1
BOOG_MINOR_VERSION = 7
BOOG_VERSION = 1.7
BOOM_MAJOR_VERSION = 1
BOOM_MINOR_VERSION = 2
BOOM_VERSION = 1.2
BTR_DLL_VERSION = 1:3:0
BVL_DLL_VERSION = 1:14:0
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -I/users/outil/alliance/Linux.FC2/include -g -O2
CPP = gcc -E
CPPFLAGS = 
CST_DLL_VERSION = 3:2:0
CTL_DLL_VERSION = 1:1:0
CTP_DLL_VERSION = 1:1:0
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alliance\" -DVERSION=\"5.0\" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_FCNTL_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STRINGS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBIBERTY=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_UNISTD_H=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DRETSIGTYPE=void -DHAVE_MOTIF=1 -DHAVE_XPM=1 -DHAVE_XPM=1 -DHAVE_X11_XPM_H=1 -DHAVE_XP=1 -DHAVE_MOTIF=1 -DHAVE_XMUSEVERSION=1 -DHAVE_XMINSTALLIMAGE=1 -DALLIANCE_VERSION=\"5.0\" -DALLIANCE_TOP=\"/users/outil/alliance/Linux.FC2\" -DHAVE_LIBIBERTY=1 
DEPDIR = .deps
DOC_MAJOR_VERSION = 1
DOC_MINOR_VERSION = 0
DOC_VERSION = 1.0
DREAL_MAJOR_VERSION = 1
DREAL_MINOR_VERSION = 14
DREAL_VERSION = 1.14
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ELP_DLL_VERSION = 1:5:0
EMULBS_MAJOR_VERSION = 3
EMULBS_MINOR_VERSION = 2
EMULBS_VERSION = 3.2
EXEEXT = 
EXP_MAJOR_VERSION = 1
EXP_MINOR_VERSION = 0
EXP_VERSION = 1.0
F77 = g77
FFLAGS = -g -O2
FKS_DLL_VERSION = 1:4:0
FLATBEH_MAJOR_VERSION = 1
FLATBEH_MINOR_VERSION = 1
FLATBEH_VERSION = 1.1
FMI_MAJOR_VERSION = 1
FMI_MINOR_VERSION = 1
FMI_VERSION = 1.1
FSM_DLL_VERSION = 1:4:0
FSP_MAJOR_VERSION = 1
FSP_MINOR_VERSION = 1
FSP_VERSION = 1.1
FTL_DLL_VERSION = 1:4:0
FVH_DLL_VERSION = 1:4:0
GRAAL_MAJOR_VERSION = 1
GRAAL_MINOR_VERSION = 27
GRAAL_VERSION = 1.27
GROWSTK_MAJOR_VERSION = 1
GROWSTK_MINOR_VERSION = 5
GROWSTK_VERSION = 1.5
INCLUDE_MOTIF = 
INSTALL_DATA = ${INSTALL} -m 664
INSTALL_PROGRAM = ${INSTALL} -m 775
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
K2F_MAJOR_VERSION = 1
K2F_MINOR_VERSION = 1
K2F_VERSION = 1.1
L2P_MAJOR_VERSION = 1
L2P_MINOR_VERSION = 12
L2P_VERSION = 1.12
LDFLAGS = -static -L/users/outil/alliance/Linux.FC2/lib 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -liberty -lm -lm -lm -lm -liberty 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINK_MOTIF = -lXm
LINK_XPM = -lXpm
LN_S = ln -s
LOG_DLL_VERSION = 2:1:0
LOON_MAJOR_VERSION = 1
LOON_MINOR_VERSION = 7
LOON_VERSION = 1.7
LTLIBOBJS = 
LVX_MAJOR_VERSION = 1
LVX_MINOR_VERSION = 2
LVX_VERSION = 1.2
LYNX_MAJOR_VERSION = 1
LYNX_MINOR_VERSION = 21
LYNX_VERSION = 1.21
M2E_MAJOR_VERSION = 1
M2E_MINOR_VERSION = 0
M2E_VERSION = 1.0
MAKEINFO = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run makeinfo
MAL_DLL_VERSION = 6:0:0
MAP_DLL_VERSION = 6:0:0
MBK_CUR = 4
MBK_DLL_VERSION = 4:2:0
MBK_REL = 0
MBK_REV = 2
MBK_VERSION = 4.2
MCL_DLL_VERSION = 4:9:0
MCP_DLL_VERSION = 4:9:0
MEL_DLL_VERSION = 4:9:0
MGL_DLL_VERSION = 0:8:0
MGN_DLL_VERSION = 3:3:0
MHL_DLL_VERSION = 2:1:0
MIPS_ASM_MAJOR_VERSION = 1
MIPS_ASM_MINOR_VERSION = 0
MIPS_ASM_VERSION = 1.0
MMG_DLL_VERSION = 1:0:0
MOCHA_MAJOR_VERSION = 1
MOCHA_MINOR_VERSION = 1
MOCHA_VERSION = 1.1
MSL_DLL_VERSION = 7:0:0
MVG_DLL_VERSION = 4:1:0
MVL_DLL_VERSION = 4:1:0
NERO_MAJOR_VERSION = 1
NERO_MINOR_VERSION = 0
NERO_VERSION = 1.0
OBJEXT = o
OCP_MAJOR_VERSION = 1
OCP_MINOR_VERSION = 0
OCP_VERSION = 1.0
OCR_MAJOR_VERSION = 1
OCR_MINOR_VERSION = 0
OCR_VERSION = 1.0
PACKAGE = alliance
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PAT2SPI_MAJOR_VERSION = 1
PAT2SPI_MINOR_VERSION = 1
PAT2SPI_VERSION = 1.1
PATH_SEPARATOR = :
PAT_DLL_VERSION = 1:9:0
PCBS_MAJOR_VERSION = 2
PCBS_MINOR_VERSION = 1
PCBS_VERSION = 2.1
PGN_DLL_VERSION = 3:3:0
PHL_DLL_VERSION = 1:9:0
PPT_DLL_VERSION = 1:9:0
PROOF_MAJOR_VERSION = 4
PROOF_MINOR_VERSION = 9
PROOF_VERSION = 4.9
RANLIB = ranlib
RCF_DLL_VERSION = 2:1:0
RDS_DLL_VERSION = 2:1:0
RFM_DLL_VERSION = 2:1:0
RGS_DLL_VERSION = 2:1:0
RING_MAJOR_VERSION = 3
RING_MINOR_VERSION = 0
RING_VERSION = 3.0
RPR_DLL_VERSION = 2:1:0
RTD_DLL_VERSION = 1:1:0
RTL_DLL_VERSION = 2:1:0
RTN_DLL_VERSION = 1:1:0
RUT_DLL_VERSION = 2:1:0
RWI_DLL_VERSION = 2:1:0
S2R_MAJOR_VERSION = 4
S2R_MINOR_VERSION = 4
S2R_VERSION = 4.4
SCAPIN_MAJOR_VERSION = 1
SCAPIN_MINOR_VERSION = 1
SCAPIN_VERSION = 1.1
SCH_DLL_VERSION = 3:2:0
SCL_DLL_VERSION = 1:5:0
SEA_MAJOR_VERSION = 1
SEA_MINOR_VERSION = 0
SEA_VERSION = 1.0
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SYF_MAJOR_VERSION = 3
SYF_MINOR_VERSION = 6
SYF_VERSION = 3.6
TOOLSDIRS = mbk mbkal mbkap mbkedif mbkhilo mbkmg mbkspice mbkvhdl mbkvrlog mbkvti mbkvhdlg aut rds rdscif rdsgds elp abl bdd log btr vex ctl ctp abe abt abv fsm fks fvh ftl rtn rtd scl vbh vbl vpn vpd vvh vtl pat ppt phl gcp druc beh bhl bvl  alcban asimut attila b2f boog boom cells distrib dreal exp flatbeh flatlo flatph fmi fsp genlib genpat graal k2f l2p loon lvx lynx m2e mips_asm mocha nero ocp  pat2spi proof ring s2r scapin sea syf vasy vst2xnf x2y xfsm xpat xsch xvpn documentation
VASY_MAJOR_VERSION = 1
VASY_MINOR_VERSION = 5
VASY_VERSION = 1.5
VBH_DLL_VERSION = 1:4:0
VBL_DLL_VERSION = 1:4:0
VERSION = 5.0
VEX_DLL_VERSION = 1:3:0
VPD_DLL_VERSION = 1:5:0
VPN_DLL_VERSION = 1:5:0
VRD_DLL_VERSION = 3:4:0
VST2XNF_MAJOR_VERSION = 1
VST2XNF_MINOR_VERSION = 0
VST2XNF_VERSION = 1.0
VTL_DLL_VERSION = 1:5:0
VVH_DLL_VERSION = 1:5:0
X11_LIBS = -lX11
XEXT_LIBS = -lXext
XFSM_MAJOR_VERSION = 1
XFSM_MINOR_VERSION = 4
XFSM_VERSION = 1.4
XM_LIBS = -lXm
XPAT_MAJOR_VERSION = 1
XPAT_MINOR_VERSION = 4
XPAT_VERSION = 1.4
XPM_LIBS = -lXpm
XP_LIBS = -lXp
XSCH_MAJOR_VERSION = 1
XSCH_MINOR_VERSION = 4
XSCH_VERSION = 1.4
XT_LIBS = -lXt
XVPN_MAJOR_VERSION = 1
XVPN_MINOR_VERSION = 5
XVPN_VERSION = 1.5
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /dsk/l1/misc/hcl/alliance/src/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /dsk/l1/misc/hcl/altest
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AM_CFLAGS = -I$(top_srcdir)/mbk/src \
-I$(top_srcdir)/pat/src \
-I$(top_srcdir)/ppt/src \
-I$(top_srcdir)/phl/src

lib_LTLIBRARIES = libPgn.la
include_HEADERS = genpat.h 
libPgn_la_SOURCES = AFFECT.c ARRAY.c CONV.c DECLAR.c DEF_GEN.c GETCPAT.c \
		INIT.c LABEL.c  SAVE.c SAV_GEN.c SETTUNIT.c \
		libpat_l.c libpat_l.h

libPgn_la_LDFLAGS = -version-info 3:3:0
bin_SCRIPTS = genpat
CLEANFILES = genpat
EXTRA_DIST = genpat.sh
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
