=== documentation/alliance-examples/mipsR3000/Makefile ===

all:
	cd sce; make
	cd asm; ./go-all.sh


clean:
	cd sce; make clean
