=== debian/changelog ===
alliance (5.1.1-3) unstable; urgency=medium

  * Fix FTBFS with recent TeX Live by specifying the input encoding
    of overview.tex.

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Apr 2018 11:04:52 +0300

alliance (5.1.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #811553)
  * Fix FTBFS with fig2dev 3.2.7.

 -- Adrian Bunk <bunk@debian.org>  Sun, 15 Apr 2018 13:21:03 +0300

alliance (5.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with released 2.6 flex. Closes: #818517

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Apr 2016 08:44:38 +0100

alliance (5.1.1-1) unstable; urgency=medium

  * New upstream release
    - ctp_name now declared only once (Closes: #700965)
    - Deleted 06-fix-format-strings.patch (fixed upstream)
    - Deleted 10-fix-parser-extern.patch (obsolete)
    - Deleted 11-fix-segfaults.patch (fixed upstream)
  * debian/control: Updated homepage
  * debian/copyright: Updated homepage / download

 -- Roland Stigge <stigge@antcom.de>  Mon, 11 Jan 2016 19:42:30 +0100

alliance (5.0-20120515-7) unstable; urgency=medium

  * Fix bashism in /usr/bin/sea (Closes: #772192)
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Wed, 10 Dec 2014 13:44:12 +0100
